Autor Tópico: Incompatibilidade entre a libuuid.so e o QTopia  (Lida 1527 vezes)

Offline Flávio Vilani

  • Usuário Ubuntu
  • *
  • Mensagens: 2
    • Ver perfil
Incompatibilidade entre a libuuid.so e o QTopia
« Online: 09 de Fevereiro de 2010, 14:14 »
Caros Leitores do Fórum:

Estou trabalhando na programação de um ARM 9 da Samsung (2440) e gostaria de usar a biblioteca gráfica QTopia. Estou usando o Cross Compiler arm-linux-g++ versão 3.4.1 e compilei, tanto o QTopia (versão 2.2.0), como o e2fsprogs (versão 1.41.9), usando este compilador, mas quando o programa vai linkar a libuuid.so ao QTopia, aparece uma mensagem de erro dizendo:

/usr/local/arm/3.4.1/lib/gcc/arm-linux/3.4.1/../../../../arm-linux/bin/ld: skipping incompatible /opt/arm-qtopia/qtopia-2.2.0-FriendlyARM/qt2/lib/libuuid.so when searching for -luuid                                 
/usr/local/arm/3.4.1/lib/gcc/arm-linux/3.4.1/../../../../arm-linux/bin/ld: cannot find -luuid

Não consigo achar uma lib do uuid que me permita rodar meu programa. Já entrei no site do QT, mas o que eles recomendam é fazer a compilação do e2fsprogs.

Obrigado pela ajuda!